package com.steerinfo.meterwork.meterworknotice.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="通知公告表")
public class MeterWorkNotice implements IBasePO<String> {
    /**
     * 主键(NOTICE_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="主键",required=true)
    private String noticeId;

    /**
     * 通知类型编码(NOTICE_TYPE_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="通知类型编码",required=false)
    private String noticeTypeNo;

    /**
     * 通知类型名称(NOTICE_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="通知类型名称",required=false)
    private String noticeTypeName;

    /**
     * 通知紧急程度(NOTICE_LEVEL,VARCHAR,30)
     */
    @ApiModelProperty(value="通知紧急程度",required=false)
    private String noticeLevel;

    /**
     * 通知名称(NOTICE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="通知名称",required=false)
    private String noticeName;

    /**
     * 通知内容(NOTICE_CONTENT,VARCHAR,30)
     */
    @ApiModelProperty(value="通知内容",required=false)
    private String noticeContent;

    /**
     * 阅读人数(READ_MAN_NUM,VARCHAR,5)
     */
    @ApiModelProperty(value="阅读人数",required=false)
    private String readManNum;

    /**
     * 状态(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=false)
    private String validFlag;

    /**
     * 发布人(PUBLISH_MAN,VARCHAR,30)
     */
    @ApiModelProperty(value="发布人",required=false)
    private String publishMan;

    /**
     * 发布时间(PUBLISH_TIME,VARCHAR,30)
     */

    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date publishTime;

    /**
     * 修改人(EDIT_MAN,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String editMan;

    /**
     * 修改时间(EDIT_TIME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private String editTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.noticeId;
    }

    @Override
    public void setId(String noticeId) {
        this.noticeId = noticeId == null ? null : noticeId.trim();
    }

    public String getNoticeId() {
        return noticeId;
    }

    public void setNoticeId(String noticeId) {
        this.noticeId = noticeId == null ? null : noticeId.trim();
    }

    public String getNoticeTypeNo() {
        return noticeTypeNo;
    }

    public void setNoticeTypeNo(String noticeTypeNo) {
        this.noticeTypeNo = noticeTypeNo == null ? null : noticeTypeNo.trim();
    }

    public String getNoticeTypeName() {
        return noticeTypeName;
    }

    public void setNoticeTypeName(String noticeTypeName) {
        this.noticeTypeName = noticeTypeName == null ? null : noticeTypeName.trim();
    }

    public String getNoticeLevel() {
        return noticeLevel;
    }

    public void setNoticeLevel(String noticeLevel) {
        this.noticeLevel = noticeLevel == null ? null : noticeLevel.trim();
    }

    public String getNoticeName() {
        return noticeName;
    }

    public void setNoticeName(String noticeName) {
        this.noticeName = noticeName == null ? null : noticeName.trim();
    }

    public String getNoticeContent() {
        return noticeContent;
    }

    public void setNoticeContent(String noticeContent) {
        this.noticeContent = noticeContent == null ? null : noticeContent.trim();
    }

    public String getReadManNum() {
        return readManNum;
    }

    public void setReadManNum(String readManNum) {
        this.readManNum = readManNum == null ? null : readManNum.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getPublishMan() {
        return publishMan;
    }

    public void setPublishMan(String publishMan) {
        this.publishMan = publishMan == null ? null : publishMan.trim();
    }

    public Date getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(Date publishTime) {
        this.publishTime = publishTime;
    }

    public String getEditMan() {
        return editMan;
    }

    public void setEditMan(String editMan) {
        this.editMan = editMan == null ? null : editMan.trim();
    }

    public String getEditTime() {
        return editTime;
    }

    public void setEditTime(String editTime) {
        this.editTime = editTime == null ? null : editTime.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", noticeId=").append(noticeId);
        sb.append(", noticeTypeNo=").append(noticeTypeNo);
        sb.append(", noticeTypeName=").append(noticeTypeName);
        sb.append(", noticeLevel=").append(noticeLevel);
        sb.append(", noticeName=").append(noticeName);
        sb.append(", noticeContent=").append(noticeContent);
        sb.append(", readManNum=").append(readManNum);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", publishMan=").append(publishMan);
        sb.append(", publishTime=").append(publishTime);
        sb.append(", editMan=").append(editMan);
        sb.append(", editTime=").append(editTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}